<h2>{{ "Military.Wars.War" | translate }} #{{ war?.id }}</h2>
<nz-divider></nz-divider>

<div nz-row nzGutter="24">
  <div nz-col nzXs="24" nzSm="8" nzLg="8">
    <div style="text-align: center">
      <a href="/country/{{ war?.attacker.id }}">
        <nz-avatar
          [nzShape]="'square'"
          [nzSize]="128"
          [nzIcon]="'flag'"
          [nzSrc]="war?.attacker.flagLocation"
        >
        </nz-avatar>
        <h1>{{ war?.attacker.name }}</h1>
      </a>
    </div>
  </div>
  <div nz-col nzXs="24" nzSm="8" nzLg="8" style="text-align: center">
    <h2>VS</h2>

    <div class="tag-container">
      <nz-tag [nzColor]="'red'" nz-tooltip [nzTooltipTitle]="war?.attacker.name + 'Common.Win' | translate " class="tags">{{ stats.attackerWon }}</nz-tag>
      <nz-tag [nzColor]="'gold'" nz-tooltip [nzTooltipTitle]="'Military.Battles.battlesActive' | translate" class="tags">
        {{ stats.inProgress }}
      </nz-tag>
      <nz-tag [nzColor]="'green'" nz-tooltip [nzTooltipTitle]="war?.defender.name +  'Common.Win' | translate" class="tags">{{ stats.defenderWon }}</nz-tag>
    </div>
    
  </div>
  <div nz-col nzXs="24" nzSm="8" nzLg="8">
    <div style="text-align: center">
      <a href="/country/{{ war?.defender.id }}">
        <nz-avatar
          [nzShape]="'square'"
          [nzSize]="128"
          [nzIcon]="'flag'"
          [nzSrc]="war?.defender.flagLocation"
        >
        </nz-avatar>
        <h1>{{ war?.defender.name }}</h1>
      </a>
    </div>
  </div>
</div>

<nz-divider></nz-divider>
<h2>{{ "Military.Battles.Title" | translate }}</h2>
<nz-table
  #battlesList
  [nzData]="battles"
  [nzNoResult]="NoBattles"
  [nzLoading]="isLoading"
  style="overflow-x: auto; white-space: nowrap; background-color:#fff ;"
>
  <thead>
    <tr>
      <th nzWidth="20%">{{ "Military.Battles.Attacker" | translate }}</th>
      <th nzWidth="20%">{{ "Military.Battles.Defender" | translate }}</th>
      <th>{{ "Military.Battles.Status" | translate }}</th>
      <th>{{'Common.Maps.regionName' | translate }}</th>
      <th>{{ "Military.Battles.wallSize" | translate }}</th>
      <th>{{ "Military.Battles.endBattle" | translate }}</th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of battlesList.data">
      <td [routerLink]="['/country', item.countryAttacking?.id]">
        <nz-avatar
          [nzShape]="'square'"
          nzSize="small"
          [nzIcon]="'flag'"
          [nzSrc]="apiUrl + '/flags/xl/' + item.countryAttacking?.flag"
        >
        </nz-avatar>
        {{ item.countryAttacking.name }}
      </td>
      <td [routerLink]="['/country', item.countryDefending?.id]">
        <nz-avatar
          [nzShape]="'square'"
          nzSize="small"
          [nzIcon]="'flag'"
          [nzSrc]="apiUrl + '/flags/xl/' + item.countryDefending?.flag"
        >
        </nz-avatar>
        {{ item.countryDefending.name }}
      </td>
      <td>
        <div *ngIf="item.winnerId">
          <nz-tag
            *ngIf="item.winnerId === item.countryAttacking.id"
            [nzColor]="'red'"
            >{{ "Military.Wars.WonBy" | translate }} {{ item.countryAttacking.name }}!</nz-tag
          >
          <nz-tag
            *ngIf="item.winnerId === item.countryDefending.id"
            [nzColor]="'green'"
            >{{ "Military.Wars.WonBy" | translate }} {{ item.countryDefending.name }}!</nz-tag
          >
          <!-- WON -->
        </div>
        <div *ngIf="!item.winnerId">
          <nz-tag [nzColor]="'gold'" id="battle-list-timer"
            >{{ "Military.Wars.InProgressTimeLeft" | translate }}:
            <nz-countdown
              [nzValue]="item.endDateTimeSeconds"
            ></nz-countdown
          ></nz-tag>
          <!-- IN PROGRESS -->
        </div>
      </td>
      <td>{{ item.region?.name }}</td>
      <td> <nz-tag [nzColor]="'blue'" >{{ item.wallSize | number }}</nz-tag></td>
      <td>{{ formatDate(item.endDateTime)  }}</td>
       <td>
        <button nz-button nzShape="round" nzType="default" [routerLink]="['/battle', item.id]">
          {{ "Common.Buttons.View" | translate }}
        </button>
      </td>
    </tr>
  </tbody>
  <ng-template #NoBattles>
    <div style="text-align: center">
<!--       <i class="fas fa-dove fa-5x"></i> -->
<img src="../../../../assets/img/icons/peace.png" style="width: 10%;">

      <div style="margin-top: 20px">{{ "Military.Wars.NoBattles" | translate }}</div>
    </div>
  </ng-template>
</nz-table>
